Loading...
Searching...
No Matches
Upgrade a working copy.
Client working copy management

## Functions

svn_error_t * | svn_client_upgrade (const char *wcroot_dir, svn_client_ctx_t *ctx, apr_pool_t *scratch_pool)
| Recursively upgrade a working copy from any older format to the current WC metadata storage format.

## Detailed Description

## Function Documentation

## svn_client_upgrade()

svn_error_t * svn_client_upgrade | ( | const char * | wcroot_dir,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | scratch_pool )

Recursively upgrade a working copy from any older format to the current WC metadata storage format.

wcroot_dir is the path to the WC root.

Use scratch_pool for any temporary allocations.

Since
  New in 1.7.